- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::noncopyable Class Reference

A noncopyable base class (a la boost). More...

`#include <gnoncopyable.h>`

Inheritance diagram for G::noncopyable:

## Public Member Functions
| noncopyable ()

## Detailed Description

A noncopyable base class (a la boost).

Definition at line 35 of file gnoncopyable.h.

## Constructor & Destructor Documentation

G::noncopyable::noncopyable | ( |  | ) |
| inline

Definition at line 41 of file gnoncopyable.h.

The documentation for this class was generated from the following file:

- gnoncopyable.h